diff --git a/src/common/image.c b/src/common/image.c
index eb8de6c7649..0ee0ce68475 100644
--- a/src/common/image.c
+++ b/src/common/image.c
@@ -1116,6 +1116,7 @@ static void _image_read_duplicates(const uint32_t id, const char *filename)
     }
 
     int newid = id;
+    int grpid = -1;
 
     if(!count_xmps_processed)
     {
@@ -1132,7 +1133,10 @@ static void _image_read_duplicates(const uint32_t id, const char *filename)
     else
     {
       //create a new duplicate based on the passed-in id
-      newid = dt_image_duplicate_with_version(id, version);
+      newid = _image_duplicate_with_version(id, version);
+      const dt_image_t *img = dt_image_cache_get(darktable.image_cache, id, 'r');
+      grpid = img->group_id;
+      dt_image_cache_read_release(darktable.image_cache, img);
     }
     // make sure newid is not selected
     dt_selection_clear(darktable.selection);
@@ -1141,6 +1145,12 @@ static void _image_read_duplicates(const uint32_t id, const char *filename)
     img->version = version;
     dt_image_cache_write_release(darktable.image_cache, img, DT_IMAGE_CACHE_RELAXED);
 
+    if(grpid != -1)
+    {
+      dt_grouping_add_to_group(grpid, newid);
+      dt_collection_update_query(darktable.collection, DT_COLLECTION_CHANGE_RELOAD, NULL);
+    }
+
     count_xmps_processed++;
     file_iter = g_list_next(file_iter);
   }
